import java.lang.*;
import java.awt.*;
import java.applet.*;
// import java.awt.event.*;
import java.util.*;

public class SimpleDialog extends  Dialog 
// implements ActionListener 
{
  TextField field;
  Button setButton;
  public String output;
  public boolean canceled;

  public SimpleDialog(Frame dw, String labelString, int nChars) {
    super(dw, labelString, true);

    output = "";
    canceled = false;
    
    // Create middle section.
    Panel p1 = new Panel();
    Label label = new Label(labelString);
    p1.add(label);
    field = new TextField(nChars);
    //    field.addActionListener( this );
    p1.add(field);
    add("Center", p1);
    
    // Create bottom row.
    Panel p2 = new Panel();
    p2.setLayout(new FlowLayout(FlowLayout.RIGHT));

    Button b = new Button("Cancel");
    //    b.addActionListener( this );

    setButton = new Button("Set");
    //    setButton.addActionListener( this );

    p2.add(b);
    p2.add(setButton);
    add("South", p2);

    // set focus on input line.. 
    field.requestFocus();
    
    // Initialize this dialog to its preferred size.
    pack();
  }
  
  //  public void actionPerformed(ActionEvent event) {
  public boolean action(Event event, Object w) {
    // if ( (event.getSource() == setButton)
    // || (event.getSource() == field)) {
    if ( (event.target == setButton)
	 || (event.target == field)) {
      output = field.getText();
    }
    else
      canceled = true;
    field.selectAll();
    hide()/*setVisible( false )*/;

    return false;
  }
}

