import java.lang.*;
import java.awt.*;
import java.applet.*;
// import java.awt.event.*;
import java.util.*;

public class TripleDialog extends Dialog 
//implements ActionListener 
{
  TextField field1;
  TextField field2;
  TextField field3;
  Button setButton;

  /* the output.. */
  public String output1;
  public String output2;
  public String output3;
  public boolean canceled;

  public TripleDialog(Frame dw, String labelString) {
    super(dw, labelString, true);

    output1 = "";
    output2 = "";
    output3 = "";
    canceled = false;
    
    // Create middle section.
    Panel p1 = new Panel();
    p1.setLayout(new GridLayout(3,2));

    Label label = new Label("Required Capacity ");
    p1.add(label);
 
    field1 = new TextField(20);
    //    field1.addActionListener( this );
    p1.add(field1);

    label = new Label("Arrival Rate ");
    p1.add(label);
 
    field2 = new TextField(20);
    //    field2.addActionListener( this );
    p1.add(field2);
 

    label = new Label("Departure Rate " );
    p1.add(label);
 
    field3 = new TextField(20);
    //    field3.addActionListener( this );
    p1.add(field3);
   
    add("Center", p1);
    
    // Create bottom row.
    Panel p2 = new Panel();
    p2.setLayout(new FlowLayout(FlowLayout.RIGHT));

    Button b = new Button("Cancel");
    //    b.addActionListener( this );

    setButton = new Button("Set");
    //    setButton.addActionListener( this );

    p2.add(b);
    p2.add(setButton);
    add("South", p2);

    // set focus on input line.. 
    field1.requestFocus();
    
    // Initialize this dialog to its preferred size.
    pack();
  }
  
  //  public void actionPerformed(ActionEvent event) {
  public boolean action(Event event, Object w) {
    //    if ( (event.getSource() == setButton)
    //	 || (event.getSource() == field1)
    //	 || (event.getSource() == field2)
    //	 || (event.getSource() == field3)) {
    if ( (event.target == setButton)
    	 || (event.target == field1)
    	 || (event.target == field2)
    	 || (event.target == field3)) {
      output1 = field1.getText();
      output2 = field2.getText();
      output3 = field3.getText();
    }
    else
      canceled = true;
    field1.selectAll();
    field2.selectAll();
    field3.selectAll();
    hide( );// setVisible( false );

    return false;
  }
}

